#!/usr/bin/perl -w
#
#	for use with the Dashboard-Widget "Network Stat"
#	(c) by Pascal Pfiffner 2005/2006

use Sys::Hostname;

my $hostname = hostname;		$hostname =~ s/\.local//;
my $ip = shift @ARGV;
my @addr = @ARGV;
my $sent = 0;

# send mail
foreach (@addr) {
	next unless(/(([\w\d\+-_\.]+)\.?)+@(([\w\d\+-_\.]+)\.)+(\w+)/);
	
	open(MAIL, "|/usr/sbin/sendmail -t") or last;
	print MAIL "From: NetworkStat\@widgetschmie.de\n";
	print MAIL "To: $_\n";
	print MAIL "Content-Type: text/plain\n";
	print MAIL "Subject: Your IP-Address has changed to $ip\n\n";
	print MAIL "Hy, this is the Network Stat Widget\n\nI sent you this email to report the new IP-address of your Mac \"$hostname\". The new IP-address is\n\n$ip\n\nsincerely\nYour Network Stat\n";
	close MAIL;
	$sent++;
}

print $sent;
